"use strict";
this.name        = "NoMarketNotification"; 
this.author      = "phkb";
this.copyright   = "2018 phkb";
this.description = "Display a message instead of an unusable market screen.";
this.licence     = "CC BY-NC-SA 4.0";

this.guiScreenWillChange = function(to, from) {
	// if market observer changes the HUD on the market screen, and we also run a mission screen
	// the "Press Space Commander" may not show, if the default HUD has allow Big GUI set.
	// so stop market observers "guiScreenChanged" event from firing, then put it back afterwards
	if (worldScripts.market_observer3) {
		var mo = worldScripts.market_observer3;
		if (to === "GUI_SCREEN_MARKET" && player.ship.docked && Ship.shipDataForKey(player.ship.dockedStation.dataKey).market === "none") {
			if (mo.guiScreenChanged) {
				mo.$hold_guiScreenChanged = mo.guiScreenChanged;
				delete mo.guiScreenChanged;
			}
		} else {
			if (mo.$hold_guiScreenChanged) {
				mo.guiScreenChanged = mo.$hold_guiScreenChanged;
				delete mo.$hold_guiScreenChanged;
			}
		}
	}
}

this.guiScreenChanged = function(to, from) {
    if (to === "GUI_SCREEN_MARKET" && player.ship.docked && Ship.shipDataForKey(player.ship.dockedStation.dataKey).market === "none") {
        mission.runScreen({
			title: "No Market Available",
            message: "There is no commodities market available on this station. No goods can be bought or sold here.",
            exitScreen: "GUI_SCREEN_MANIFEST"
		});
    }
}